> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mudstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete attachment

> Delete a specific attachment by its ID.



## OpenAPI

````yaml delete /workspaces/assets/{asset_id}/attachments/{attachment_id}
openapi: 3.0.0
info:
  title: Mudstack API
  version: 2.41.0
servers:
  - url: https://api.mudstack.com
security: []
tags: []
paths:
  /workspaces/assets/{asset_id}/attachments/{attachment_id}:
    delete:
      tags:
        - Asset Attachment
      description: Delete a specific attachment by its ID.
      parameters:
        - $ref: '#/components/parameters/account_id'
        - $ref: '#/components/parameters/workspace_id'
        - in: path
          name: asset_id
          schema:
            type: string
          required: true
        - name: attachment_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '204':
          description: No content
      security:
        - Authentication: []
components:
  parameters:
    account_id:
      name: x-account-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
    workspace_id:
      name: x-workspace-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
  securitySchemes:
    Authentication:
      type: http
      scheme: bearer
      bearerFormat: JWT

````